# Lemur

A Virtual Boy emulator built around the shrooms-vb core. Written in Rust, using winit, wgpu, and egui. Should run on any major OS.

## Setup

Install the following dependencies:
 - `cargo` (via [rustup](https://rustup.rs/), the version from your package manager is too old)
 - a C compiler (any will do, [the build script](https://docs.rs/cc/latest/cc/#compile-time-requirements) will find it automatically)
 - (on linux) `libasound2-dev` and `libudev-dev`

Run
```sh
cargo build --release
```

The executable will be in `target/release/lemur[.exe]`

## Release

Bump the version number in `Cargo.toml`, then run this script:

```sh
./scripts/release.sh
```

It uses docker to cross compile for Windows, MacOS, and Linux. All binaries are left in the `output` directory.